# Generated by Django 5.0.6 on 2024-05-27 08:30

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('portfolio', '0013_alter_project_tags'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectFiles',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('file', models.FileField(upload_to='static/files/', verbose_name='File')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='files', to='portfolio.project')),
            ],
            options={
                'verbose_name': 'Soubor projektu',
                'verbose_name_plural': 'Soubory projektu',
            },
        ),
        migrations.CreateModel(
            name='ProjectImages',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('image', models.ImageField(upload_to='static/images/', verbose_name='Image')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='portfolio.project')),
            ],
            options={
                'verbose_name': 'Obrázek projektu',
                'verbose_name_plural': 'Obrázky projektu',
            },
        ),
    ]
